Download it now!
Bug 85820 - MENUS: Moving Table > Insert > Table and removing Insert > Table
Summary: MENUS: Moving Table > Insert > Table and removing Insert > Table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.4.0 target:4.4.0.0.beta2
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2014-11-03 20:32 UTC by Yousuf Philips (jay) (retired)
Modified: 2014-11-30 00:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-03 20:32:16 UTC
LibreOffice has a dedicated menu heading for Table which has entries and submenu entries which are all disabled unless you are inside of a table, except for Table > Insert > Table. So it would be better than this was moved to the main menu as Table > Insert Table.

We also have the leftover Insert > Table item which wasnt removed when the Table menu was added, so its worth removing it now.
Comment 1 Cor Nouws 2014-11-03 20:54:09 UTC
No real objection Jay. But is it worth the trouble?
People will use Ctrl_F12 / tool bar ..
And the Table menu will look less nice ?
Comment 2 Yousuf Philips (jay) (retired) 2014-11-03 21:46:20 UTC
Well according to the OOo stats, 84% use the toolbar, 16% use the menu bar, and less than 1% use the keyboard shortcut. So for those menu users, it would be good to streamline them to using the table menu for all table related stuff, and reduce the clutter in the insert menu.
Comment 3 tommy27 2014-11-04 04:08:52 UTC
I agree with Jay. status NEW
Comment 4 Cor Nouws 2014-11-04 08:53:25 UTC
Yep, good explananation.
Comment 5 Yousuf Philips (jay) (retired) 2014-11-04 12:00:26 UTC
Patch pushed - https://gerrit.libreoffice.org/12249
Comment 6 Commit Notification 2014-11-04 13:30:05 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=841f62b8c58704b1fbec0a368439de87a82f2c26

fdo#85820 Have menu item for insert table and it called 'Insert Table'

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-11-30 00:37:53 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3dc6f438dd660a68e75fecfac2299dc5a09e757&h=libreoffice-4-4

fdo#85820 move insert table to table menu in writer related apps

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.